aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule GIT latest and wx 3.xx  (Read 712 times)

Menion

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 92
  • Winter is coming...
aMule GIT latest and wx 3.xx
« on: June 11, 2016, 08:58:15 AM »

Hi all
Before messing with my Saggie with custom built of wx 2.8.12, I wanted to check if latest dev code is able to compile against wx 3.xx
Bye
Logged

bubez811

  • Newbie
  • *
  • Karma: 1
  • Offline Offline
  • Posts: 29
Re: aMule GIT latest and wx 3.xx
« Reply #1 on: June 14, 2016, 08:34:41 AM »

yes it's possible
Logged

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 163
  • Offline Offline
  • Posts: 2688
Re: aMule GIT latest and wx 3.xx
« Reply #2 on: June 22, 2016, 10:13:53 AM »

It's possible to build with wx-3.0.2, but not with wx-3.1.x (or any later).
Logged
concordia cum veritate

Axl_Mas

  • Jr. Member
  • **
  • Karma: 1
  • Offline Offline
  • Posts: 71
Re: aMule GIT latest and wx 3.xx
« Reply #3 on: July 13, 2016, 08:51:31 PM »

Lubuntu 16.04 64bit the last gits is quite stable with wx 2.8.12 (a crash every 3 days) but it crashes in 3 minutes with wx-3.0.2:
(amule:19963): GLib-CRITICAL **: Source ID 5087 was not found when attempting to remove it


I followed step by step the guide:
http://wiki.amule.org/wiki/HowTo_Compile_In_Debian/Ubuntu

I have to raise a crash report or it is a known issue?

Logged

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 163
  • Offline Offline
  • Posts: 2688
Re: aMule GIT latest and wx 3.xx
« Reply #4 on: July 22, 2016, 11:45:06 PM »

Please try with compiling with --enable-boost. You'll have to have Boost installed (especially the Boost.Asio library), of course. I don't know whether it's related or not, whether it will help or not...
Logged
concordia cum veritate